#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EClientStatAggregateMethod {
    LatestOnly = 0,
    Sum = 1,
    Event = 2,
    Scalar = 3,
}

impl EClientStatAggregateMethod {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::LatestOnly as i32 => Some(Self::LatestOnly),
            x if x == Self::Sum as i32 => Some(Self::Sum),
            x if x == Self::Event as i32 => Some(Self::Event),
            x if x == Self::Scalar as i32 => Some(Self::Scalar),
            _ => None,
        }
    }
}
